@import url('https://fonts.googleapis.com/css2?family=Martel+Sans:wght@200;300;400;600;700;800;900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    font-family: "Roboto", sans-serif;
}

body {
    background-color: black;
    color: white;
}

.left {
    width: 25vw;
    padding: 14px;
}

.right {
    width: 75vw;
}


.home ul li {
    width: 14px;
    display: flex;
    gap: 15px;
    list-style: none;
    padding-top: 14px;
    font-weight: bold;
}

.heading {
    width: 100%;
    display: flex;
    gap: 15px;
    padding-top: 14px;
    padding: 23px 14px;
    font-weight: bold;
    align-items: center;
    font-size: 13px;
}

.close {
    display: none;
}

.library {
    min-height: 80vh;
    position: relative;
}

.heading img {
    width: 30px;
}

.footer {
    position: absolute;
    bottom: 0;
    display: flex;
    font-size: 10px;
    color: gray;
    gap: 13px;
    padding: 10px;
}

.footer a {
    color: gray;
}

.footer a:hover {
    text-decoration: underline;
}

.right {
    margin: 16px 0;
    position: relative;
}

.hamburger {
    display: none;
}

.humbergurContainer {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.header {
    display: flex;
    justify-content: space-between;
    background-color: rgb(37, 36, 36);
}



.header>* {
    padding: 20px;
}

.spotifyPlaylists {
    padding: 16px;
}

.cardContainer {
    margin: 30px;
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    overflow-y: scroll;
    max-height: 70vh;
}

.card {
    position: relative;
    width: 160px;
    padding: 10px;
    border-radius: 5px;
    background-color: #2b2929;
    margin: 10px;
    /* transition: all 1s; */
}

.card:hover {
    cursor: pointer;
    background-color: rgb(58, 58, 58);
}

.card>* {
    padding-top: 10px;
}

.card p {
    font-size: 13px;
}

.card img {
    width: 100%;
    object-fit: contain;
}

.card .play {
    position: absolute;
    bottom: 75px;
    right: 14px;
    width: 47px;
    opacity: 0;
    transition: opacity 0.2s ease;
    cursor: pointer;
}

.card:hover .play {
    cursor: pointer;
    bottom: 79px;
    opacity: 1;
    transition: opacity 0.5s ease;
    right: 14px
}

.buttons>* {
    margin: 0 12px;
}

.signupbtn {
    background-color: rgb(37, 36, 36);
    border: 0;
    color: gray;
    outline: none;
    font-weight: bold;
    font-size: 15px;
    cursor: pointer;
}

.signupbtn:hover {
    color: white;
    font-size: 17px;
}

.loginbtn {
    background-color: white;
    padding: 5px;
    width: 73px;
    height: 33px;
    border: 0;
    outline: none;
    border-radius: 22px;
    cursor: pointer;
}

.loginbtn:hover {
    font-weight: bold;
    height: 35px;
    width: 76px;
}

.playbar {
    position: fixed;
    bottom: 30px;
    filter: invert(1);
    background: #dad5d5;
    border-radius: 10px;
    width: 90%;
    padding: 14px;
    width: 70vw;
    height: 40px;
}

.songbuttons {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 13px;
}

.songList {
    height: 544px;
    overflow-y: auto;
    margin-bottom: 44px;
}

.songList ul {
    padding: 0 12px;


}

.songList ul li {
    list-style-type: decimal;
    display: flex;
    justify-content: space-between;
    gap: 10px;
    cursor: pointer;
    padding: 12px 0px;
    /* color: white; */
    border: 1px solid white;
    margin: 12px 0;
    padding: 10px;
    border-radius: 5px;
    font-size: 15px;
}

.songList .info {
    font-size: 13px;
    width: 344px;
}

.playnow {
    display: flex;
    justify-content: center;
    align-items: center;
}

.playnow span {
    width: 64px;
    font-size: 15px;
    padding: 12px;
}

.seekbar {
    height: 4px;
    width: 97%;
    background-color: black;
    border-radius: 10px;
    position: absolute;
    bottom: 0;
    margin: 6px;
    cursor: pointer;
}

.circle {
    position: relative;
    bottom: 10px;
    width: 13px;
    height: 13px;
    border-radius: 13px;
    background-color: black;
    bottom: 6px;
    left: 0%;
    transition: left 0.5s;
}

.songbuttons {
    cursor: pointer;
}

.songinfo,
.songtime {
    color: black;
    width: 250px;
}

.timevol {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.volume {
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.volume .range input {
    cursor: pointer;
}

.abovebar {
    display: flex;
    justify-content: space-around;
}

@media (max-width: 1400px) {
    .left {
        background-color: black;
        position: absolute;
        left: -120%;
        transition: all 0.3s;
        z-index: 1;
        width: 373px;
        position: absolute;
    }

    .left .close {
        display: block;
        position: absolute;
        right: 31px;
        top: 25px;
        width: 29px;
    }

    .spotifyPlaylists h2 {
        margin-bottom: 10px;
    }

    .right {
        width: 100vw;
    }

    .playbar {
        width: calc(100vw - 60px);
        height: 85px;
    }

    .seekbar {
        width: calc(100vw - 60px);
    }

    .abovebar {
        display: flex;
        justify-content: space-evenly;
        gap: 30px;
    }

    .card {
        width: 90vw;
    }

    .cardContainer {
        margin: 0;
        justify-content: center;
    }

    .hamburger {
        display: block;
    }
}